Package org.apache.catalina.ant.jmx

## Class JMXAccessorUnregisterTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.catalina.ant.BaseRedirectorHelperTask
      - - org.apache.catalina.ant.jmx.JMXAccessorTask
        - - org.apache.catalina.ant.jmx.JMXAccessorUnregisterTask

All Implemented Interfaces:
  `java.lang.Cloneable`

    public class JMXAccessorUnregisterTask
    extends JMXAccessorTask

unregister an MBean at JMX JSR 160 MBeans Server.

- unregister Mbeans

Examples:
unregister an existing Mbean at jmx.server connection

       <jmx:unregister
               ref="jmx.server"
               name="Catalina:type=MBeanFactory" />

WARNINGNot all Tomcat MBeans can successfully unregister remotely. The mbean unregistration don't remove valves, realm, .. from parent class. Please, use the MBeanFactory operation to remove valves and realms.

First call to a remote MBeanserver save the JMXConnection a reference jmx.server

These tasks require Ant 1.6 or later interface.

Since:
  5.5.12
Author:
  Peter Rossbach

### Field Summary

### Fields inherited from class org.apache.catalina.ant.jmx.JMXAccessorTask

`JMX_SERVICE_PREFIX, JMX_SERVICE_SUFFIX`

### Fields inherited from class org.apache.catalina.ant.BaseRedirectorHelperTask

`alwaysLog, failOnError, redirectErrStream, redirector, redirectorConfigured, redirectorElement, redirectOutput, redirectOutStream`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
`JMXAccessorUnregisterTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `jmxExecute​(javax.management.MBeanServerConnection jmxServerConnection)` Execute the specified command, based on the configured properties.
`protected java.lang.String` `jmxUuregister​(javax.management.MBeanServerConnection jmxServerConnection, java.lang.String name)` Unregister MBean.

### Methods inherited from class org.apache.catalina.ant.jmx.JMXAccessorTask

`accessJMXConnection, convertStringToType, createJMXConnection, createProperty, createProperty, echoResult, execute, getDelimiter, getHost, getIf, getJMXConnection, getName, getPassword, getPort, getProperty, getRef, getResultproperty, getUnless, getUrl, getUsername, isEcho, isSeparatearrayresults, isUseRef, setDelimiter, setEcho, setHost, setIf, setName, setPassword, setPort, setProperty, setRef, setResultproperty, setSeparatearrayresults, setUnless, setUrl, setUsername, testIfCondition, testUnlessCondition`

### Methods inherited from class org.apache.catalina.ant.BaseRedirectorHelperTask

`addConfiguredRedirector, closeRedirector, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, handleOutput, isFailOnError, openRedirector, setAlwaysLog, setAppend, setCreateEmptyFiles, setError, setErrorProperty, setFailonerror, setLogError, setOutput, setOutputproperty`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleInput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JMXAccessorUnregisterTask

    public JMXAccessorUnregisterTask()

### Method Detail

#### jmxExecute

    public java.lang.String jmxExecute​(javax.management.MBeanServerConnection jmxServerConnection)
                                throws java.lang.Exception

Description copied from class: `JMXAccessorTask`
Execute the specified command, based on the configured properties. The input stream will be closed upon completion of this task, whether it was executed successfully or not.

Overrides:
  `jmxExecute` in class `JMXAccessorTask`
Parameters:
  `jmxServerConnection` - The JMX connection that should be used
Returns:
  An error message string in some situations
Throws:
  `java.lang.Exception` - if an error occurs

#### jmxUuregister

    protected java.lang.String jmxUuregister​(javax.management.MBeanServerConnection jmxServerConnection,
                                             java.lang.String name)
                                      throws java.lang.Exception

Unregister MBean.

Parameters:
  `jmxServerConnection` - Connection to the JMX server
  `name` - The MBean name
Returns:
  null (no error message to report other than exception)
Throws:
  `java.lang.Exception` - An error occurred